// 兼容 IE
// https://github.com/zloirock/core-js/blob/master/docs/2019-03-19-core-js-3-babel-and-a-look-into-the-future.md#babelpolyfill
import 'core-js/stable'
import 'regenerator-runtime/runtime'

import Vue from 'vue'
import Modal from '@/components/Modal'
import Swiper from '@/components/Swiper'
import SwiperSlide from '@/components/SwiperSlide'
import App from './App.vue'
import router from './router'

// 设置 js中可以访问 $cdn
import { $cdn } from '@/config'
Vue.prototype.$cdn = $cdn

// 引入全局样式
import 'animate.css'
import 'swiper/swiper-bundle.css'
import '@/assets/css/index.scss'
// 移动端适配
import 'lib-flexible/flexible.js'

// filters
import './filters'
Vue.config.productionTip = false

Vue.component('modal', Modal)
Vue.component('swiper', Swiper)
Vue.component('swiper-slide', SwiperSlide)

new Vue({
  el: '#app',
  router,
  render: h => h(App)
})
